//Datei: PROTOS.H
//
//Nur  Prototypen
//
//04.10.2003
//
//Compiler AVR-GCC

#include <stdint.h>

#ifndef PROTOS_H
#define PROTOS_H

#include "display.h"
#include "ks108.h"

//circle.c
extern void Circle(unsigned int xpos, unsigned int ypos, unsigned int radius, unsigned char color);
extern void FillCircle(unsigned int xpos, unsigned int ypos, unsigned int radius, unsigned char color);

//fontsoft.c
extern void SetFont(unsigned char num);
extern void LCDSoftChar(unsigned char ch, unsigned int xpos, unsigned int ypos, unsigned char color);
extern void LCDSoftCharV(unsigned char ch, unsigned int xpos, unsigned int ypos, unsigned char color);
extern void LCDSoftText(char *__putstr, unsigned int xpos, unsigned int ypos,unsigned char color);
extern void LCDSoftTextV(char *__putstr, unsigned int xpos, unsigned int ypos, unsigned char color);
extern void ShowSoftFont(unsigned char num, unsigned char color);
extern void ShowSoftFontV(unsigned char num, unsigned char color);

//draw.c
extern volatile unsigned int xcursor,ycursor;
//extern void SetGCursor(unsigned int x, unsigned int y);
//extern void DrawLineRel(unsigned int dx, unsigned int dy, unsigned char mode);
//extern void DrawLineAbs(unsigned int x, unsigned int y, unsigned char mode);
extern void DrawLine(int8_t xstart, int8_t ystart, int8_t xend ,int8_t yend, unsigned char color);
extern void DrawXLineLen(unsigned int x, unsigned int len, unsigned int y, unsigned char color);
extern void DrawYLine(unsigned int y1, unsigned int y2, unsigned int x, unsigned char color);
extern void DrawXLine(unsigned int x1, unsigned int x2, unsigned int y, unsigned char color);
extern void FillRect(unsigned int x, unsigned int y, unsigned int width, unsigned int height, unsigned char color);
extern void DrawRect(unsigned int x, unsigned int y, unsigned int width, unsigned int height, unsigned char color);

//Bitmap.c
// extern void LoadBitmap(unsigned char *bitmap,unsigned int xpos , unsigned int ypos, unsigned int width, unsigned int height);
// central_timer.c
extern void Init_Timer(void);
extern void Delay1ms(unsigned int time);

//analoguhr.c
extern void paint_uhr(int8_t std, int8_t min, unsigned char color);

//Hardwareeinstellung beim Start
extern void InitDisplay(void);
extern void Delay1ms(unsigned int);


#endif
